%define	name		opencity
%define cname		OpenCity
%define version		0.0.4
%define release		%mkrel 0.rc1.1

Summary: 		OpenCity is a city simulator game
Name: 			%{name}
Version: 		%{version}		
Release: 		%{release}
License: 		GPL
Group: 			Games/Strategy
URL: 			http://www.opencity.info/
Source0: 		%{name}-%{version}beta-rc1.tar.bz2
BuildRoot: 		%{_tmppath}/%{name}-%{version}-%{release}-root
Buildrequires:		libSDL_net-devel

%description
OpenCity is a city simulator game project written in standard C++ with OpenGL
and SDL from scratch. It is not intended to be a clone of any famous city 
simulator from Max*s. So, if you are looking to download a free SimCity 4 like, 
please forget OpenCity. I work on it at my spare time, I really meant it 
"my spare time" !

%prep
%setup -q -n %{name}-%{version}beta

%build
%configure2_5x  --bindir=%{_gamesbindir}
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# realy UGLY hack to launch opencity with argument (homedir)
%define homedir %{_gamesdatadir}/%{name}
perl -i -pe 's/^Exec=opencity$//' $RPM_BUILD_ROOT%{_datadir}/applications/OpenCity.desktop
echo "Exec=opencity --homedir %{homedir}" >> $RPM_BUILD_ROOT%{_datadir}/applications/OpenCity.desktop

#move data to %%{_gamesdatadir}
mkdir -p $RPM_BUILD_ROOT%{_gamesdatadir}
mv $RPM_BUILD_ROOT%{_datadir}/%{name} $RPM_BUILD_ROOT%{_gamesdatadir}/

#prepare icon
mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert -geometry 16x16 %{cname}.png $RPM_BUILD_ROOT%{_miconsdir}/%{cname}.png
convert -geometry 32x32 %{cname}.png $RPM_BUILD_ROOT%{_iconsdir}/%{cname}.png
convert -geometry 48x48 %{cname}.png $RPM_BUILD_ROOT%{_liconsdir}/%{cname}.png

# prepare menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
        section="More Applications/Games/Strategy" \
        title="%{cname}" \
        longtitle="%{cname}" \
        command="%{_gamesbindir}/%{name}" \
        icon="%{cname}.png" \
	xdg="true"
EOF

cat > %{buildroot}%{_datadir}/applications/%{cname}.desktop << EOF
[Desktop Entry]
Name=%{cname}
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name} --homedir %{_gamesdatadir}/%{name}
Icon=%{cname}
Terminal=false
Type=Application
Categories=Game;StrategyGame;X-MandrivaLinux-MoreApplications-Games-Strategy;
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL README
%{_gamesbindir}/%{name}
%{_menudir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/pixmaps/OpenCity.png
%{_datadir}/applications/OpenCity.desktop
%{_miconsdir}/%{cname}.png
%{_iconsdir}/%{cname}.png
%{_liconsdir}/%{cname}.png

%changelog
* Mon Sep 18 2006  <trem@mandriva.org> 0.0.4-0.rc1.1mdv2007.0
- Initial build.
